## debreaper 0.2.1

=== debian/changelog ===
debreaper (0.2.1) unstable; urgency=low

  * German debconf translations by Helge Kreutzmann (closes: #420616).
  * French debconf translations by Akli Makhlouf (closes: #426588).
  * Portuguese debconf translations by Miguel Figueiredo
    (closes: #420660).
  * Add a X-Reportbug-Version field (closes: #426493).

 -- Josselin Mouette <joss@debian.org>  Tue, 05 Jun 2007 23:33:30 +0200

debreaper (0.2) unstable; urgency=low

  * Include libviaticum, a small library based on libgnomeui that adds a 
    default signal handler for all processes when loaded in LD_PRELOAD.

 -- Josselin Mouette <joss@debian.org>  Wed, 11 Apr 2007 12:04:54 +0200

debreaper (0.1) unstable; urgency=low

  * Initial release (Closes: #416871).

 -- Josselin Mouette <joss@debian.org>  Sun, 01 Apr 2007 13:54:18 +0200

## debreaper 0.2.1+nmu1

=== viaticum/Makefile ===
CC := gcc
OPTFLAGS := -Os
CFLAGS := -g -fPIC $(OPTFLAGS) -Wall
LIBS := -ldl

libviaticum.so: viaticum.o
	$(CC) $(CFLAGS) $(LIBS) -shared -o $@ $<

clean:
	rm -f *.o *.so

=== debian/changelog ===
debreaper (0.2.1+nmu1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Dutch. Closes: #448121
    - Czech. Closes: #483302
    - Spanish. Closes: #488337
    - Swedish. Closes: #488711
    - Turkish. Closes: #489293
    - Russian. Closes: #489893
    - Galician. Closes: #490367
    - Finnish. Closes: #490626
    - Basque. Closes: #490679
    - Vietnamese. Closes: #491045
    - Romanian. Closes: #491285

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Jun 2008 20:45:17 +0200

=== debian/control ===
Source: debreaper
Section: devel
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Build-Depends: debhelper (>= 5), python-support (>= 0.4), po-debconf, gettext, librsvg2-bin
Standards-Version: 3.7.2

Package: debreaper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2, xdg-utils, reportbug, gdb, evolution | balsa | mutt | mail-reader, gnome-terminal | x-terminal-emulator
Description: bring peace to the poor souls of crashed applications
 The Debian Reaper collects the souls of crashed applications, and 
 gathers information from the process and the system to write a nice 
 bug report. The package can then find peace in the BTS.
 .
 When an application crashes in a running X session, it will spawn the 
 user's configured email client with a pre-filled bug report that is 
 ready to send.
 .
 It is also possible to use Debreaper for the whole system. In this 
 case, it will generate reports for crashing system processes in 
 /var/tmp and log an error.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        MAKEARGS += OPTFLAGS=-O0
endif

VERSION = $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

PO_FILES = $(wildcard po/*.po)
MO_FILES = $(PO_FILES:.po=.mo)

DEST = debian/debreaper
DESTLOCALE = $(DEST)/usr/share/locale

build: $(MO_FILES) debreaper.png
	$(MAKE) -C viaticum $(MAKEARGS)

%.mo: %.po
	msgfmt -o $@ $<
%.png: %.svg
	rsvg $< $@

install: build
	dh_testdir
	dh_testroot
	dh_install
	sed -i s/@VERSION@/$(VERSION)/g $(DEST)/usr/share/debreaper/*
	for i in $(MO_FILES); do \
		lang=$$(basename $$i | sed s/\.mo$$//) ; \
		install -d -m 755 $(DESTLOCALE)/$$lang/LC_MESSAGES ; \
		install -m 644 $$i $(DESTLOCALE)/$$lang/LC_MESSAGES/debreaper.mo ; \
	done

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) -C viaticum clean
	xgettext -LPython -k_ -o po/debreaper.pot *.py debreaper
	dh_clean debreaper.png po/*.mo *.pyc
	debconf-updatepo

binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs TODO
	dh_installchangelogs
	dh_installdebconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install build
